package com.liquidnet.service.kylin.dto.vo.returns;

import lombok.Data;

import java.io.Serializable;

@Data
public class InnerReturnVo<T> implements Serializable,Cloneable {

    private static final long serialVersionUID = 1541552316829686035L;

    private String code;
    private String message;
    private T data;

    private static final InnerReturnVo obj = new InnerReturnVo();
    public static InnerReturnVo getNew() {
        try {
            return (InnerReturnVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new InnerReturnVo();
        }
    }
}
